Ricerca in FOLBlog

dic 162008
 
closeQuesto articolo è stato pubblicato 5 anni 11 mesi 12 giorni giorni fa quindi alcuni contenuti o informazioni presenti in esso potrebbero non essere più validi.

Firefox 3.1 beta 2
Alcuni giorni fa è stata rilasciata la Beta 2 di Firefox 3.1.
Come al solito la curiosità ha avuto il sopravvento e non ho resistito alla tentazione di provarla.
Ma si sa, io sono “quello delle beta 2;-)

Dopo l’installazione, il solito annoso problema di compatibilità delle estensioni già installate: tutte le estensioni che risultano non compatibili con Firefox 3.1b2 vengono automaticamente disabilitate.
Nella stragrande maggioranza dei casi si tratta di una incompatibilità puramente formale (le estensioni funzionano regolarmente anche con la nuova versione di Firefox), in quanto chi realizza l’estensione indica fino a quale versione di Firefox l’estensione stessa debba essere considerata compatibile.

Il trucco di cambiare questa indicazione funziona sempre, ma stavolta erano veramente troppe (circa una dozzina) le estensioni che non risultavano compatibili per prendermi la briga di reinstallarle, una ad una, dopo aver effettuato le modifiche necessarie.
Allora ho cercato di capire in che modo Firefox tiene traccia dell’elenco delle estensioni installate e in che modo ne verifica la compatibilità.
Ed è stato molto più facile del previsto.
L’elenco delle informazioni utili allo scopo si trova nel file extensions.rdf presente nella cartella C:\Users\<nomeutente>\AppData\Roaming\Mozilla\Firefox\Profiles\<profiloutente>.default

Per rendere formalmente compatibili le estensioni già installate, occorre aprire il file extensions.rdf (Firefox non deve essere in esecuzione) con un editor avanzato (Wordpad va bene, Notepad no perchè non formatta il contenuto del file correttamente risultando illeggibile).
Occorre poi cercare tutte le stringhe NS1:maxVersion=”X.y.*” in cui X.y rappresentano un numero di versione inferiore o uguale a 3.1 (ad esempio NS1:maxVersion=”3.0.*”) e cambiare il numero contenuto in 3.2 o superiore (per stare nell’esempio NS1:maxVersion=”3.2.*”).

Dopo aver modificato il file (una copia di backup del file prima di modificarlo non è mai un’idea malvagia), riavviare Firefox, attivare tutte le estensioni e riavviare Firefox.
Non resta che verificare se le estensioni ed i temi che ora risultano tutti formalmente compatibili, lo siano anche effettivamente.
That’s all.
image

Aggiornamento 17/12/2008

TabMixPlus versione 0.3.7.3 purtroppo non è completamente compatibile con la Beta 2 di Firefox 3.1.
Perchè funzioni correttamente, occorre modificare una qualsiasi impostazione dalle Opzioni del plugin.
Ad esempio, pur essendo impostato perchè evidenzi il tab attuale differenzianzolo dagli altri, non lo fa.
Basta però andare nelle opzioni e modificare l’impostazione salvando la variazione perchè il plugin inizi a comportarsi correttamente.

Technorati Tag: ,estensioni,,howto

Articoli simili:

  • Facebook
  • Twitter
  • Delicious
  • StumbleUpon
  • Wikio
  • Reddit
  • Technorati
  • Segnalo
  • Live
  • Add to favorites
  • Email
  • RSS

  Una risposta a “Firefox 3.1.beta2 e compatibilita’ estensioni installate”

 Lascia un commento

(richiesto)

(richiesto)

Puoi usare questi tag e attributi HTML: <a href="" title=""> <abbr title=""> <acronym title=""> <b> <blockquote cite=""> <cite> <code> <del datetime=""> <em> <i> <q cite=""> <strike> <strong>

%d blogger cliccano Mi Piace per questo: